/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.working-aids-home-page {
  .head-section-row {
    background-color: @platform-blue4;
    .holder {
      .head-section-holder {
        .head-section {
          .search-field {
            margin-bottom: 28px;
            .ant-input-wrapper {
              .ant-input,
              #workingAids-searchField-searchBox {
                &:hover {
                  box-shadow: none;
                }
              }
              button {
                height: 48px;
              }
              .ant-input-clear-icon {
                height: 17px;
                &:hover {
                  background-color: black;
                  &::after {
                    color: white;
                  }
                }
                &::after {
                  content: 'Suche zurücksetzen';
                  font-size: 1.4rem;
                  line-height: 18px;
                  color: black;
                  text-decoration: underline;
                  padding: 2px;
                }
                svg {
                  display: none;
                }
              }
            }
          }
          dt,
          dd {
            font-size: 1.6rem;
            display: inline;
          }
          .ant-collapse-header {
            padding: 1.2rem 0;
            .ant-collapse-header-text {
              flex: none;
              &:hover {
                background: @text-color;
                color: @platform-btn-primary-color;
              }
            }
            &:focus-within .ant-collapse-header-text {
              background: @text-color;
              color: @platform-btn-primary-color;
              outline: 1px dotted @text-color;
              outline-offset: 2px;
            }
          }
          .ant-collapse-content-box {
            padding: 0 4.1rem;
            .p-nostyle {
              margin-block-start: 0;
            }
            .ul-nostyle {
              margin-block-start: 0;
            }
          }
        }
      }
    }
  }
}
